DirectoryCataloger (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DirectoryCataloger interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DirectoryCataloger

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DirectoryCataloger

extends LogicalElement

Naming Rules:
  0="parent" 1="managedSystemName"
Persistable:
  true
Table Name:
  DIRCATA
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getCatalogInterval()`
`java.lang.String` | `getCatalogSchedule()`
`java.lang.String` | `getDirectoryCatalogFileNames()`
`int` | `getInterval()`
`DominoServer` | `getParent()`
`java.lang.String` | `getSchedule()`
`boolean` | `hasCatalogInterval()`
`boolean` | `hasCatalogSchedule()`
`boolean` | `hasDirectoryCatalogFileNames()`
`boolean` | `hasInterval()`
`boolean` | `hasParent()`
`boolean` | `hasSchedule()`
`void` | `setCatalogInterval(int s)`
`void` | `setCatalogSchedule(java.lang.String s)`
`void` | `setDirectoryCatalogFileNames(java.lang.String s)`
`void` | `setInterval(int s)`
`void` | `setParent(DominoServer s)`
`void` | `setSchedule(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setDirectoryCatalogFileNames

    void setDirectoryCatalogFileNames(java.lang.String s)

### getDirectoryCatalogFileNames

    java.lang.String getDirectoryCatalogFileNames()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDirectoryCatalogFileNames

    boolean hasDirectoryCatalogFileNames()

### setInterval

    void setInterval(int s)

### getInterval

    int getInterval()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasInterval

    boolean hasInterval()

### setCatalogInterval

    void setCatalogInterval(int s)

### getCatalogInterval

    int getCatalogInterval()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCatalogInterval

    boolean hasCatalogInterval()

### setSchedule

    void setSchedule(java.lang.String s)

### getSchedule

    java.lang.String getSchedule()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSchedule

    boolean hasSchedule()

### setCatalogSchedule

    void setCatalogSchedule(java.lang.String s)

### getCatalogSchedule

    java.lang.String getCatalogSchedule()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCatalogSchedule

    boolean hasCatalogSchedule()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD